#ifndef INC_TIME_SYNC_H_
#define INC_TIME_SYNC_H_

#include <stdint.h>

#define TARGET_FREQ 16000000    // Hz
#define TRIM_FREQ 48000         // Hz
#define TIME_SYNC_INTERVAL 1000 // ms
#define RCC_CR_HSITRIM_MAX 31

#define STARTUP_TIME_SYNC_TIME 5000 // ms

void time_sync_handle_frame();
void time_sync_startup_check();
void trim_hsi(int32_t delta);

#endif // INC_TIME_SYNC_H_
